aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/die_functions.bash
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-07-26 00:13:55 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-07-26 00:13:55 +0000
commitf67fadb68e2c2d36d55508e9339b881d4a72ccf0 (patch)
tree8b92283a9fdf9781d677221fa757a618aa6b7988 /paludis/repositories/e/ebuild/die_functions.bash
parentd18402718e4c0d08c7f214490a17ad84322c9b25 (diff)
downloadpaludis-f67fadb68e2c2d36d55508e9339b881d4a72ccf0.tar.gz
paludis-f67fadb68e2c2d36d55508e9339b881d4a72ccf0.tar.xz
Change how die works. Stricter emake, dodoc in exheres-0
Diffstat (limited to 'paludis/repositories/e/ebuild/die_functions.bash')
-rw-r--r--paludis/repositories/e/ebuild/die_functions.bash7
1 files changed, 4 insertions, 3 deletions
diff --git a/paludis/repositories/e/ebuild/die_functions.bash b/paludis/repositories/e/ebuild/die_functions.bash
index cfff825c4..572d860e0 100644
--- a/paludis/repositories/e/ebuild/die_functions.bash
+++ b/paludis/repositories/e/ebuild/die_functions.bash
@@ -20,12 +20,12 @@
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
-EBUILD_KILL_PID=$$
+export EBUILD_KILL_PID=$$
declare -r EBUILD_KILL_PID
alias die='diefunc "$FUNCNAME" "$LINENO"'
alias assert='_pipestatus="${PIPESTATUS[*]}"; [[ -z "${_pipestatus//[ 0]/}" ]] || diefunc "$FUNCNAME" "$LINENO" "$_pipestatus"'
-trap 'echo "die trap: exiting with error." 1>&2 ; exit 250' 15
+trap 'echo "die trap: exiting with error." 1>&2 ; exit 250' SIGUSR1
diefunc()
{
@@ -51,7 +51,8 @@ diefunc()
echo 1>&2
fi
- kill ${EBUILD_KILL_PID}
+ echo "diefunc: making ebuild PID ${EBUILD_KILL_PID} exit with error" 1>&2
+ kill -s SIGUSR1 "${EBUILD_KILL_PID}"
exit 249
}